org.jacoco.ant

## Class ReportTask.SourceFilesElement

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.resources.BaseResourceCollectionContainer
      - - org.apache.tools.ant.types.resources.Union
        - - org.jacoco.ant.ReportTask.SourceFilesElement

All Implemented Interfaces:
  Cloneable, Iterable<org.apache.tools.ant.types.Resource>, org.apache.tools.ant.types.ResourceCollection

Enclosing class:
  ReportTask

    public static class ReportTask.SourceFilesElement
    extends org.apache.tools.ant.types.resources.Union

The source files are specified in a resource collection with additional attributes.

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`SourceFilesElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setEncoding(String encoding)` Defines the optional source file encoding.
`void` `setTabwidth(int tabWidth)` Sets the tab stop width for the source pages.

### Methods inherited from class org.apache.tools.ant.types.resources.Union

`getAllResources, getAllToStrings, getCollection, getCollection, getInstance, list, listResources`

### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionContainer

`add, addAll, clear, clone, dieOnCircularReference, getResourceCollections, isCache, isFilesystemOnly, iterator, setCache, size, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SourceFilesElement

    public SourceFilesElement()

### Method Detail

#### setEncoding

    public void setEncoding(String encoding)

Defines the optional source file encoding. If not set the platform default is used.

Parameters:
  `encoding` - source file encoding

#### setTabwidth

    public void setTabwidth(int tabWidth)

Sets the tab stop width for the source pages. Default value is 4.

Parameters:
  `tabWidth` - number of characters per tab stop